StackHawk Documentation StackHawk Logo HawkDocs

No results found

Try different keywords or check your spelling

Search documentation

Find guides, API references, and more

esc

Repository Sensitive Data

GET /api/v1/org/{orgId}/repo/{repoId}/sensitive/list

List Repo Sensitive Data

List sensitive data MatchWords for the given organization and repository.

Usage:

Results are paginated via the previous and next page keys. To get additional pages, use the nextPageKey or previousPageKey from the response and send back in as the page query param. When the page parameter is provided, all other query parameters are ignored.

Additional Parameters:

  • sortField - the field to sort the MatchWords by. matchTerm matchPattern and codeType
  • sortDir - direction to sort. ASC DESC
  • pageSize- number of results to return.
  • pageToken - zero-based index of the page to return.
  • categories - comma separated list of named filters to apply.
  • query - fuzzy filter MatchWords by matched term.

Requires read:repository permission.

Path parameters

repoIdstring · uuidrequired

UUID identifier for this StackHawk Repository.

orgIdstring · uuidrequired

UUID identifier for this StackHawk Organization.

Query parameters

sortFieldstring

Resource field to sort paginated response by.

4 available options
matchTermmatchPatterncodeTypescore
sortDirstring

Paginated results are sorted 'asc' or 'desc'.

3 available options
ASCDESCUNSORTED
pagestring

Pagination page key.

pageSizeinteger · int32

Pagination response size limit.

default: 10
pageTokeninteger · int32

Pagination request page increment.

default: 0
categoriesstring[]

A comma-delimited list of Sensitive data type categories.

querystring

A term used to filter results based on matching content in one or more fields.

Response

OK

currentPage
pagination.Page
Hide child attributesShow child attributes
currentPage.filters
pagination.Filter[]

Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)

Hide child attributesShow child attributes
currentPage.filters.multi
pagination.MultiValue
Hide child attributesShow child attributes
currentPage.filters.multi.values
string[]

The values of a given filter to filter on.

currentPage.filters.name
string

The name of the filter to apply.

currentPage.filters.value
string

A single value to filter on.

currentPage.number
integer<int32>

The page number to retrieve - 0 based

currentPage.query
string

The query string to filter the results.

currentPage.size
integer<int32>

the page size to retrieve.

currentPage.sortOptions
pagination.SortOptions
Hide child attributesShow child attributes
currentPage.sortOptions.direction
enum<string>

The direction to sort the results.

3 available options
ASCDESCUNSORTED
currentPage.sortOptions.field
string

Generic here, each type should define its own Enums + Converters

hasNext
boolean

Whether or not there is a next page.

hasPrev
boolean
nextPage
pagination.Page
Hide child attributesShow child attributes
nextPage.filters
pagination.Filter[]

Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)

Hide child attributesShow child attributes
nextPage.filters.multi
pagination.MultiValue
Hide child attributesShow child attributes
nextPage.filters.multi.values
string[]

The values of a given filter to filter on.

nextPage.filters.name
string

The name of the filter to apply.

nextPage.filters.value
string

A single value to filter on.

nextPage.number
integer<int32>

The page number to retrieve - 0 based

nextPage.query
string

The query string to filter the results.

nextPage.size
integer<int32>

the page size to retrieve.

nextPage.sortOptions
pagination.SortOptions
Hide child attributesShow child attributes
nextPage.sortOptions.direction
enum<string>

The direction to sort the results.

3 available options
ASCDESCUNSORTED
nextPage.sortOptions.field
string

Generic here, each type should define its own Enums + Converters

nextPageToken
string
prevPage
pagination.Page
Hide child attributesShow child attributes
prevPage.filters
pagination.Filter[]

Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)

Hide child attributesShow child attributes
prevPage.filters.multi
pagination.MultiValue
Hide child attributesShow child attributes
prevPage.filters.multi.values
string[]

The values of a given filter to filter on.

prevPage.filters.name
string

The name of the filter to apply.

prevPage.filters.value
string

A single value to filter on.

prevPage.number
integer<int32>

The page number to retrieve - 0 based

prevPage.query
string

The query string to filter the results.

prevPage.size
integer<int32>

the page size to retrieve.

prevPage.sortOptions
pagination.SortOptions
Hide child attributesShow child attributes
prevPage.sortOptions.direction
enum<string>

The direction to sort the results.

3 available options
ASCDESCUNSORTED
prevPage.sortOptions.field
string

Generic here, each type should define its own Enums + Converters

prevPageToken
string
sensitiveWords
codeWord.MatchWord[]

List of the OAS file information

Hide child attributesShow child attributes
sensitiveWords.category
string
sensitiveWords.codeType
enum<string>
5 available options
VARIABLEFUNCTIONCLASSMODULEFILE
sensitiveWords.count
integer<int32>
sensitiveWords.matchName
string
sensitiveWords.matchPercentage
integer<int32>
sensitiveWords.matchScore
integer<int32>
sensitiveWords.matchType
enum<string>
7 available options
NUCLEOSTARTS_WITHENDS_WITHCONTAINSEXACTLEVENSHTEINBREAKOUT
sensitiveWords.name
string
sensitiveWords.score
integer<int32>
totalCount
integer<int64>

PageToken to provide for the next page of results.

currentPage
pagination.Page
Hide child attributesShow child attributes
currentPage.filters
pagination.Filter[]

Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)

Hide child attributesShow child attributes
currentPage.filters.multi
pagination.MultiValue
Hide child attributesShow child attributes
currentPage.filters.multi.values
string[]

The values of a given filter to filter on.

currentPage.filters.name
string

The name of the filter to apply.

currentPage.filters.value
string

A single value to filter on.

currentPage.number
integer<int32>

The page number to retrieve - 0 based

currentPage.query
string

The query string to filter the results.

currentPage.size
integer<int32>

the page size to retrieve.

currentPage.sortOptions
pagination.SortOptions
Hide child attributesShow child attributes
currentPage.sortOptions.direction
enum<string>

The direction to sort the results.

3 available options
ASCDESCUNSORTED
currentPage.sortOptions.field
string

Generic here, each type should define its own Enums + Converters

hasNext
boolean

Whether or not there is a next page.

hasPrev
boolean
nextPage
pagination.Page
Hide child attributesShow child attributes
nextPage.filters
pagination.Filter[]

Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)

Hide child attributesShow child attributes
nextPage.filters.multi
pagination.MultiValue
Hide child attributesShow child attributes
nextPage.filters.multi.values
string[]

The values of a given filter to filter on.

nextPage.filters.name
string

The name of the filter to apply.

nextPage.filters.value
string

A single value to filter on.

nextPage.number
integer<int32>

The page number to retrieve - 0 based

nextPage.query
string

The query string to filter the results.

nextPage.size
integer<int32>

the page size to retrieve.

nextPage.sortOptions
pagination.SortOptions
Hide child attributesShow child attributes
nextPage.sortOptions.direction
enum<string>

The direction to sort the results.

3 available options
ASCDESCUNSORTED
nextPage.sortOptions.field
string

Generic here, each type should define its own Enums + Converters

nextPageToken
string
prevPage
pagination.Page
Hide child attributesShow child attributes
prevPage.filters
pagination.Filter[]

Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)

Hide child attributesShow child attributes
prevPage.filters.multi
pagination.MultiValue
Hide child attributesShow child attributes
prevPage.filters.multi.values
string[]

The values of a given filter to filter on.

prevPage.filters.name
string

The name of the filter to apply.

prevPage.filters.value
string

A single value to filter on.

prevPage.number
integer<int32>

The page number to retrieve - 0 based

prevPage.query
string

The query string to filter the results.

prevPage.size
integer<int32>

the page size to retrieve.

prevPage.sortOptions
pagination.SortOptions
Hide child attributesShow child attributes
prevPage.sortOptions.direction
enum<string>

The direction to sort the results.

3 available options
ASCDESCUNSORTED
prevPage.sortOptions.field
string

Generic here, each type should define its own Enums + Converters

prevPageToken
string
sensitiveWords
codeWord.MatchWord[]

List of the OAS file information

Hide child attributesShow child attributes
sensitiveWords.category
string
sensitiveWords.codeType
enum<string>
5 available options
VARIABLEFUNCTIONCLASSMODULEFILE
sensitiveWords.count
integer<int32>
sensitiveWords.matchName
string
sensitiveWords.matchPercentage
integer<int32>
sensitiveWords.matchScore
integer<int32>
sensitiveWords.matchType
enum<string>
7 available options
NUCLEOSTARTS_WITHENDS_WITHCONTAINSEXACTLEVENSHTEINBREAKOUT
sensitiveWords.name
string
sensitiveWords.score
integer<int32>
totalCount
integer<int64>

PageToken to provide for the next page of results.

Unauthorized

Your privacy settings

We use first and third party cookies to ensure that we give you the best experience on our website and in our products.